<?php
class WCAM_Email  
{
	 public function __construct() 
	 {
	 
		
	}
	public function trigger( $recipient, $subject, $content, $attachment = array()) 
	{
	 
		$email_heading = get_bloginfo('name');
		$mail = WC()->mailer();
		$message = $mail->wrap_message($email_heading, stripcslashes($content));


		$mail->send( $recipient, $subject, $message, "Content-Type: text/html\r\n", $attachment);
		
	}
	
	//Custom email added by 3rd party plugins like WooCommerce Order Status Manager
	public static function get_wc_order_status_emails()
	{
		global $wcoa_order_model;
		$ids = array();
		$wc_order_status_email =  get_posts( array(
			'post_type'        => 'wc_order_email',
			'post_status'      => 'publish',
			'nopaging'         => true,
			'suppress_filters' => 1,
		) );
		foreach ( $wc_order_status_email as $email ) {

			$ids['wc_order_status_email_' . esc_attr( $email->ID )] = $email->post_title;
			
		}
		
		//WooCommerce order approval support 
		if(isset($wcoa_order_model))
		{
			$ids['wc_email_approved'] = esc_html('Approved', 'woocommerce-attach-me');
			$ids['wc_email_rejected'] = esc_html('Rejected', 'woocommerce-attach-me');
		}
		
		return $ids ;
	}
} 