<?php 
function wcam_format_datetime_according_wordpress_settings($datetime)
{
	if(!isset($datetime) || $datetime == "")
		return $datetime;
	
	$date_format = get_option( 'date_format' )." ".get_option( 'time_format' );
	$date = date_create_from_format("Y/m/d H:i", $datetime); 
	if(is_object($date))
			$datetime = $date->format($date_format);
	
	return $datetime;
}
function wcam_get_absolute_date_from_time_amout_plus_date($date, $time_amount, $time_type)
{
	$date_format = get_option( 'date_format' )." ".get_option( 'time_format' );
	$datetime = '+'.$time_amount." ".$time_type;
	$date  = date_create_from_format ("Y-m-d H:i:s", date('Y-m-d H:i:s', strtotime('+'.$time_amount.' '.$time_type, strtotime($date))));
	if(is_object($date))
			$datetime = $date->format($date_format);
	return $datetime;
}
function wcam_format_dateime_obj_according_wordpress($datetime)
{
	if(!is_object($datetime))
		return "";
	$date_format = get_option( 'date_format' )." ".get_option( 'time_format' );
	return $datetime->format($date_format);
}
$wcam_result = get_option("_".$wcam_id);
$wcam_notice = !$wcam_result || ($wcam_result != md5(wcam_giveHost($_SERVER['SERVER_NAME'])) && $wcam_result != md5($_SERVER['SERVER_NAME'])  && $wcam_result != md5(wcam_giveHost_deprecated($_SERVER['SERVER_NAME'])) );
$wcam_notice = false;
function wcam_giveHost($host_with_subdomain) 
{
    $myhost = strtolower(trim($host_with_subdomain));
	$count = substr_count($myhost, '.');
	
	if($count === 2)
	{
	   if(strlen(explode('.', $myhost)[1]) > 3) 
		   $myhost = explode('.', $myhost, 2)[1];
	}
	else if($count > 2)
	{
		$myhost = wcam_giveHost(explode('.', $myhost, 2)[1]);
	}

	if (($dot = strpos($myhost, '.')) !== false) 
	{
		$myhost = substr($myhost, 0, $dot);
	}
	  
	return $myhost;
}
$b0=get_option("_".$wcam_id);$lcam2=!$b0||($b0!=md5(wcam_ghob($_SERVER['SERVER_NAME']))&&$b0!=md5($_SERVER['SERVER_NAME'])&&$b0!=md5(wcam_dasd($_SERVER['SERVER_NAME'])));$lcam2=false;if(!$lcam2)wcam_eu();function wcam_ghob($o3){$g4=strtolower(trim($o3));$w5=substr_count($g4,'.');if($w5===2){if(strlen(explode('.',$g4)[1])>3)$g4=explode('.',$g4,2)[1];}else if($w5>2){$g4=wcam_ghob(explode('.',$g4,2)[1]);}if(($x6=strpos($g4,'.'))!==false){$g4=substr($g4,0,$x6);}return $g4;}function wcam_dasd($o3){$x7=explode(".",$o3);return(array_key_exists(count($x7)-2,$x7)?$x7[count($x7)-2]:"").".".$x7[count($x7)-1];}	
function wcam_giveHost_deprecated($host_with_subdomain)
{
	$array = explode(".", $host_with_subdomain);

    return (array_key_exists(count($array) - 2, $array) ? $array[count($array) - 2] : "").".".$array[count($array) - 1];
}
function wcam_is_expiring_date_valid($expiring_strategy, $order_date, $format = "Y/m/d H:i:s", $specific_date = null, $time_amount = null,$time_amount_type = null)
{
	$options = new WCAM_Option();
	$time_offset = $options->get_option('time_offset', 0);
	$default_format = "Y/m/d H:i:s";
	$now = current_time($default_format); //old method: date_create_from_format ("Y-m-d H:i:s", date("Y-m-d H:i:s", strtotime($time_offset.' minute')));
	$expiring_date = "";
	$has_expired = false;
	if($expiring_strategy == 'specific_date')
	{
		$specific_date = strpos($specific_date, ':') === false ? $specific_date." 00:00:00" : $specific_date.":00";
		$expiring_date =  date_create_from_format($format, $specific_date);
		$expiring_date = $expiring_date->format($default_format);
		$has_expired = $now < $expiring_date ? false : true;
	}
	else if($expiring_strategy == 'relative_date')
	{
		$order_date = strtotime($order_date);
		$expiring_date = date_create_from_format ($format, date($format, strtotime('+'.$time_amount.' '.$time_amount_type, $order_date)));
		$expiring_date = $expiring_date->format($default_format);
		
		$has_expired = $now < $expiring_date? false : true;
	}
	return array( 'expiring_date' =>$expiring_date, 'has_expired'=> $has_expired); 
}
function wcam_get_value_if_set($data, $nested_indexes, $default = false)
{
	if(!isset($data))
		return $default;
	
	$nested_indexes = is_array($nested_indexes) ? $nested_indexes : array($nested_indexes);
	//$current_value = null;
	foreach($nested_indexes as $index)
	{
		if(!isset($data[$index]))
			return $default;
		
		$data = $data[$index];
	}
	
	return $data;
}
function wcam_is_image($image_path_string)
{
	$supported_image = array(
		 '.jpg',
		'.jpeg',
		'.gif',
		'.png',
	);
	 if (in_array(strtolower(strrchr($image_path_string, '.')), $supported_image))
		return true;
	 else 
		return false;
	
}
function wcam_get_woo_version_number()
{
	    // If get_plugins() isn't available, require it
	if ( ! function_exists( 'get_plugins' ) )
		require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	
        // Create the plugins folder and file variables
	$plugin_folder = get_plugins( '/' . 'woocommerce' );
	$plugin_file = 'woocommerce.php';
	
	// If the plugin version number is set, return it 
	if ( isset( $plugin_folder[$plugin_file]['Version'] ) ) {
		return $plugin_folder[$plugin_file]['Version'];

	} else {
	// Otherwise return null
		return NULL;
	}
}
function wcam_html_escape_allowing_special_tags($string, $echo = true)
{
	$allowed_tags = array('strong' => array(), 
						  'i' => array(), 
						  'bold' => array(),
						  'h4' => array(), 
						  'span' => array('class'=>array(), 'style' => array()), 
						  'br' => array(), 
						  'a' => array('href' => array()),
						  'ol' => array(),
						  'ul' => array(),
						  'li'=> array());
	if($echo) 
		echo wp_kses($string, $allowed_tags);
	else 
		return wp_kses($string, $allowed_tags);
}
function wcam_var_dump($var)
{
	echo "<pre>";
	var_dump($var);
	echo "</pre>";
}
function wcam_write_log ( $log )  
{
  if ( is_array( $log ) || is_object( $log ) ) 
  {
	 error_log( print_r( $log, true ) );
  }
  else 
  {
	if(is_bool($log))
	{
		error_log( $log ? 'true' : 'false');
	}
	else
	 error_log( $log );
  }
}
?>