<?php 
//Template version: 1.3
if(!empty($products_data)):
?>
<div id="wcam-frontend-products-attachments">
	<?php foreach($products_data as $product_name => $attachments): ?>
	<div class="wcam_product_title_attachments_block wcam_responsive_column "> <!-- wcam_responsive_column -->
		<!-- <h3 class="wcam_product_name_title"><?php echo $product_name; ?></h3>-->
			<div class="wcam-products-attachments-list">
				<?php foreach((array)$attachments as $attachment): ?> 
					<div class="wcam-products-attachments-item wcam_responsive_column
									<?php if(!empty($attachment['variations']) )
							{
								echo ' wcam_variable_product_column '; 
								foreach($attachment['variations'] as $cur_variation_id)
									echo ' wcam_variable_product_column_'.$cur_variation_id." "; 
							}				
							?>
						"><!-- wcam_responsive_column -->
						<h4><?php echo $attachment['file_name']; ?></h4>
						<?php echo $attachment['file_description']; ?>
							
							<?php if(!$attachment['has_expired']): ?>
								<?php if($preview_image == 'yes' && wcam_is_image($attachment['file_url']) && !$attachment['is_external_url']): ?>
										<a target="<?php echo $link_open_method; ?>" href="<?php echo esc_attr($attachment['file_url']) ?>" <?php if($use_lightbox_preview) echo 'data-title="'.esc_attr(str_replace('"', "", $attachment['file_name'])).'"  data-lightbox="wcam-attachments"';?>><img src="<?php echo esc_attr($attachment['file_url']) ; ?>" width="<?php echo $preview_image_width; ?>" height="<?php echo $preview_image_height; ?>" class="wcam-image-preview"></img></a>
								<?php else: ?>
										<a target="<?php echo $link_open_method; ?>" class="button wcam-products-attachment-button" href="<?php echo esc_attr($attachment['file_url']) ?>"><?php echo $download_view_button_text;  ?></a>
								<?php endif; ?>
							<?php endif; ?>
							
							<?php if($attachment['expiring_date'] != ""): ?>
								<strong class="wcam_expiring_title"><?php _e('Expires on','woocommerce-attach-me'); ?></strong>
								<?php echo wcam_format_dateime_obj_according_wordpress($attachment['expiring_date']);  
							endif; ?>
					</div>
				<?php endforeach; //end product attachment list ?>
			</div>
	 </div> <!-- end responsive column -->
	<?php endforeach; //end product ?>
</div>
<?php endif; ?>